PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_sgecfi_Async | ( | int | m,
|  | int | n,
|  | float * | A,
|  | PLASMA_enum | f_in,
|  | int | imb,
|  | int | inb,
|  | PLASMA_enum | f_out,
|  | int | omb,
|  | int | onb,
|  | PLASMA_sequence * | sequence,
|  | PLASMA_request * | request
| ) |  |

PLASMA_sgecfi_Async convert the matrice A in place from format f_in to format f_out

Parameters

  [in] | m | Number of rows of matrix A
  [in] | n | Number of columns of matrix A
  [in,out] | A | Matrix of size L*m*n
  [in] | f_in | Original format of the matrix A. Must be part of (PlasmaCM, PlasmaRM, PlasmaCCRB, PlasmaCRRB, PlasmaRCRB, PlasmaRRRB)
  [in] | imb | Number of rows of each block in original format
  [in] | inb | Number of columns of each block in original format
  [in] | f_out | Format requested for the matrix A. Must be part of (PlasmaCM, PlasmaRM, PlasmaCCRB, PlasmaCRRB, PlasmaRCRB, PlasmaRRRB)
  [in] | omb | Number of rows of each block in requested format
  [in] | onb | Number of columns of each block in requested format
  [in] | sequence | Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
  [out] | request | Identifies this function call (for exception handling purposes).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_sgecfi